List IP allow lists
Early Access
This API is in Early Access and may change at any time. You must pass the
X-EARLY-ACCESS: ip-allow-listsheader on every request, and your account must be enrolled in the IP Allow Lists Early Access program. Contact your PagerDuty account team to request access.
Return all IP allow lists for the account.
Only Account Owners, Global Admins, and Account API Keys can call this endpoint.
Scoped OAuth requires: ip_allow_lists.read
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Header Parameters
This API is currently in Early Access. You MUST pass in this header with the value ip-allow-lists, and your account must be enrolled in the IP Allow Lists Early Access program. Contact your PagerDuty account team to request access.
Value in
- "ip-allow-lists"
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2"Response Body
application/json
application/json
application/json
application/json
application/json
application/json
List audit records for an IP allow list GET
<!-- theme: warning --> > ### Early Access > This API is in Early Access and may change at any time. You must pass the `X-EARLY-ACCESS: ip-allow-lists` header on every request, and your account must be enrolled in the IP Allow Lists Early Access program. Contact your PagerDuty account team to request access. The response will include audit records with changes that are made to the given IP allow list. The returned records are sorted by the `execution_time` from newest to oldest. See [`Cursor-based pagination`](https://developer.pagerduty.com/docs/rest-api-v2/pagination/) for instructions on how to paginate through the result set. For more information see the [Audit API Document](https://developer.pagerduty.com/docs/rest-api-v2/audit-records-api/). Scoped OAuth requires: `audit_records.read`
Update an IP allow list PUT
<!-- theme: warning --> > ### Early Access > This API is in Early Access and may change at any time. You must pass the `X-EARLY-ACCESS: ip-allow-lists` header on every request, and your account must be enrolled in the IP Allow Lists Early Access program. Contact your PagerDuty account team to request access. Update the IP allow list with the given `id`. The request body fully replaces the writable fields. Only Account Owners, Global Admins, and Account API Keys can call this endpoint. Scoped OAuth requires: `ip_allow_lists.write`